#include "comp.hpp"
#include "python_ngstd.hpp"
#include "ArgumentMarker.hpp"
#include "IntCoefficientFunction.hpp"

PYBIND11_MODULE(intcoefffun,m) {
	// import ngsolve such that python base classes are defined
	py::register_exception<pybind11::error_already_set>(m, "PyExp");
	py::module::import("ngsolve");

	ngfem::ExportIntCoefficientFunction(m);
	ngfem::ExportArgumentMarkers(m);
}
